package domain

type AlibabaHmMarketingItembuygiftQueryitemsLimitInfo struct {
	/*
	   活动期间总限购     */
	TotalLimitCnt *int64 `json:"total_limit_cnt,omitempty" `

	/*
	   每人活动期间总限购     */
	UserLimitCnt *int64 `json:"user_limit_cnt,omitempty" `

	/*
	   每人每日限购     */
	UserDailyLimitCnt *int64 `json:"user_daily_limit_cnt,omitempty" `
}

func (s *AlibabaHmMarketingItembuygiftQueryitemsLimitInfo) SetTotalLimitCnt(v int64) *AlibabaHmMarketingItembuygiftQueryitemsLimitInfo {
	s.TotalLimitCnt = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryitemsLimitInfo) SetUserLimitCnt(v int64) *AlibabaHmMarketingItembuygiftQueryitemsLimitInfo {
	s.UserLimitCnt = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryitemsLimitInfo) SetUserDailyLimitCnt(v int64) *AlibabaHmMarketingItembuygiftQueryitemsLimitInfo {
	s.UserDailyLimitCnt = &v
	return s
}
